【活用ガイド】

[English]

JVNDB-2010-000035

futomi's CGI Cafe 製高機能アクセス解析CGI におけるクロスサイトスクリプティングの脆弱性

概要

futomi's CGI Cafe が提供する高機能アクセス解析CGI には、ウェブページへの解析タグの埋め込み方法に起因するクロスサイトスクリプティングの脆弱性が存在します。

futomi's CGI Cafe が提供する高機能アクセス解析CGI は、ウェブページのアクセスログ解析を行うためのソフトウェアです。高機能アクセス解析CGI には、ウェブページへの解析タグの埋め込み方法に起因するクロスサイトスクリプティングの脆弱性が存在します。

なお、開発者によると Professional 版を利用しているユーザで、マニュアルに記載されている "headタグ内に解析タグ用jsファイルをロードする方法" を使用している場合、本脆弱性の影響を受けないとのことです。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: NRIセキュアテクノロジーズ 小林克巳 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


futomi
  • 高機能アクセス解析CGI Professional版
  • 高機能アクセス解析CGI Standard版 4.0.2 およびそれ以前

想定される影響

ユーザのウェブブラウザ上で任意のスクリプトを実行される可能性があります。
対策

[解析タグの埋め込み方法を変更する]
マニュアルに従って、解析タグの埋め込み方法を "headタグ内に解析タグ用jsファイルをロードする方法" に変更してください。

なお、高機能アクセス解析CGI Standard 版を利用している場合、変更前に最新版にアップデートする必要があります。
ベンダ情報

futomi
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトスクリプティング(CWE-79) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2010-2366
参考情報

  1. JVN : JVN#35605523
  2. National Vulnerability Database (NVD) : CVE-2010-2366
  3. SecurityFocus : 43142
更新履歴

[2010年09月10日]
  掲載